Subject: Re: Re[2]: [PATCH] powerpc: add 16K/64K pages support for the 44x PPC32 architectures.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 11 Dec 2008 06:58:21 +1100

On Wed, 2008-12-10 at 14:21 +0300, Yuri Tikhonov wrote:
> 
> > I'm not sure about the above & PMD_MASK. Shouldn't we instead make it
> > not build if (PKMAP_BASE & PMD_MASK) != 0 ? 
> 
>  We separated the !4K_PAGES case here exactly because  (PKMAP_BASE & 
> PMD_MASK) != 0 [see the comment to this chunk - why]. So, this'll turn 
> out to be broken if we follow your suggestion. Are there any reasons 
> why we should have PKMAP_BASE aligned on the PMD_SIZE boundary ?

No, you are right, so why do we need the & PMD_MASK in the 4k case ?

What I don't get is why do we need a different formula for 4k and 64k
but I might just be stupid :-)

>  These definitions seem to be related to the page table, so, as for me, 
> then pgtable.h is the better place for them. Though, as you want; 
> we'll move this to page_32.h.

Well, I like having them next to the pte_t/pgd_t definitions since they
relate directly to the size of those structures.

Cheers,
Ben.